Summary:	A command line CD/DVD-Recorder
Name:		cdrkit
Version:	1.1.11
Release:	%mkrel 1
License:	GPLv2+
Group:		Archiving/Cd burning
URL:		http://cdrkit.org/
Source:		http://cdrkit.org/releases/%{name}-%{version}.tar.gz
Patch0:		cdrkit-1.1.9-wformat-error.patch
# (helio) fix build with cmake 2.8
Patch2:         cdrkit-1.1.9-cmake2.8-build.patch
# (fc) 1.1.9-3mdv fix buffer overflow in wodim (Fedora)
Patch4:		cdrkit-1.1.9-buffer_overflow.patch
BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	zlib-devel
BuildRequires:	libcap-devel
BuildRequires:	magic-devel
Requires(pre):	/usr/sbin/groupadd rpm-helper
Provides:	cdrecord

%package icedax
Summary:	CD-Audio to .wav converter
Group:		Sound
Provides:	cdrecord-cdda2wav
Requires(pre):	rpm-helper

%package genisoimage
Group:		Archiving/Cd burning
Provides:	mkisofs
Summary:	Creates an image of an ISO9660 filesystem

%package isotools
Group:		Archiving/Cd burning
Provides:	cdrecord-isotools
Summary:	Collection of ISO files related tools
Requires(pre):	/usr/sbin/groupadd rpm-helper

%description
wodim allows you to create CDs and DVDs on a CD-Recorder or DVD-Recorder
(SCSI/ATAPI). It supports data, audio, mixed, multi-session, CD+, DVD,
DVD-Video discs etc.

%description icedax
icedax reads audio CDs, outputting a wav file.

%description genisoimage
genisoimage is used to create ISO 9660 file system images for creating
CD-ROMs. Now includes support for making bootable "El Torito" CD-ROMs.

%description isotools
This package is a collection of ISO 9660 commands to dump and test images:
isodebug, isodump, isoinfo, isovfy, devdump.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .wformat
%patch2 -p1 -b .cmake
%patch4 -p1 -b .buffer_overflow

%build
%cmake

%make

%install
rm -fr %{buildroot}
perl -pi -e 's!local/bin/perl!bin/perl!' ./doc/icedax/tracknames.pl
%makeinstall_std -C build

%pre
%_pre_groupadd cdwriter

%postun
%_postun_groupdel cdwriter
if [ "$1" = "0" ]; then
  update-alternatives --remove cdrecord %{_bindir}/wodim
  update-alternatives --remove readcd %{_bindir}/readom
fi

%pre icedax
%_pre_groupadd cdwriter

%post icedax
update-alternatives --install %{_bindir}/cdda2wav cdda2wav %{_bindir}/icedax 10 \
    --slave %_mandir/man1/cdda2wav.1%{_extension} cdda2wav.1%{_extension} %_mandir/man1/icedax.1%{_extension}

%postun icedax
%_postun_groupdel cdwriter
if [ "$1" = "0" ]; then
  update-alternatives --remove cdda2wav %{_bindir}/icedax
fi

%pre isotools
%_pre_groupadd cdwriter

%postun isotools
%_postun_groupdel cdwriter

%post
update-alternatives --install %{_bindir}/cdrecord cdrecord %{_bindir}/wodim 10 \
    --slave %_mandir/man1/cdrecord.1%{_extension} cdrecord.1%{_extension} %_mandir/man1/wodim.1%{_extension}
update-alternatives --install %{_bindir}/readcd readcd %{_bindir}/readom 10 \
    --slave %_mandir/man1/readcd.1%{_extension} readcd.1%{_extension} %_mandir/man1/readom.1%{_extension}

%post genisoimage
update-alternatives --install %{_bindir}/mkisofs mkisofs %{_bindir}/genisoimage 10 \
    --slave %_mandir/man1/mkisofs.1%{_extension} mkisofs.1%{_extension} %_mandir/man1/genisoimage.1%{_extension}
update-alternatives --install %{_bindir}/mkhybrid mkhybrid %{_bindir}/genisoimage 10 \
    --slave %_mandir/man1/mkhybrid.1%{_extension} mkhybrid.1%{_extension} %_mandir/man1/genisoimage.1%{_extension}

%postun genisoimage
if [ "$1" = "0" ]; then
  update-alternatives --remove mkisofs %{_bindir}/genisoimage
  update-alternatives --remove mkhybrid %{_bindir}/genisoimage
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc FAQ TODO FORK VERSION START ABOUT doc/DOC-OVERVIEW doc/PORTABILITY doc/READMEs doc/WHY doc/plattforms doc/wodim/
%{_bindir}/wodim
%{_bindir}/readom
%{_sbindir}/netscsid
%{_mandir}/man1/wodim.1.*
%{_mandir}/man1/list_audio_tracks.1.*
%{_mandir}/man1/readom.1.*

%files isotools
%defattr(-,root,root)
%{_bindir}/devdump
%{_bindir}/isodebug
%{_bindir}/isodump
%{_bindir}/isoinfo
%{_bindir}/isovfy
%{_mandir}/man1/devdump.1.*
%{_mandir}/man1/isodump.1.*
%{_mandir}/man1/isoinfo.1.*
%{_mandir}/man1/isovfy.1.*
%{_mandir}/man1/isodebug.1.*

%files genisoimage
%defattr(-,root,root)
%{_bindir}/genisoimage
%{_bindir}/dirsplit
%{_mandir}/man1/genisoimage.1.*
%{_mandir}/man5/genisoimagerc.5.*
%{_mandir}/man1/dirsplit.1.*

%files icedax
%defattr(-,root,root)
%{_bindir}/icedax
%{_bindir}/cdda2mp3
%{_bindir}/cdda2ogg
%{_bindir}/pitchplay
%{_bindir}/readmult
%{_mandir}/man1/readmult.1.*
%{_mandir}/man1/cdda2ogg.1.*
%{_mandir}/man1/icedax.1.*
%{_mandir}/man1/pitchplay.1.*




%changelog
* Mon Jan 31 2011 alien <alien> 1.1.11-1.mga1
+ Revision: 45409
- Clean up old cdrecord obsoletes
- Remove BuildRoot
- imported package cdrkit


* Tue Oct 19 2010 Funda Wang <fwang@mandriva.org> 1.1.11-1mdv2011.0
+ Revision: 586691
- new version 1.1.11

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 1.1.10-1mdv2010.1
+ Revision: 489636
- New version 1.1.10
- drop tyes defination patch (merge upstream)
- drop root_option patch (merged upstream)

* Thu Oct 08 2009 Frederic Crozat <fcrozat@mandriva.com> 1.1.9-3mdv2010.0
+ Revision: 456119
- Patch3 (Fedora): fix buffer overflow in genisoimage
- Patch4 (Fedora): fix buffer overflow in wodim

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fix for new cmake 2.8 behavior

* Mon Aug 10 2009 Funda Wang <fwang@mandriva.org> 1.1.9-2mdv2010.0
+ Revision: 414161
- fix types conflicts

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Christophe Fergeau <cfergeau@mandriva.com>
    - fix wformat errors

* Wed Oct 29 2008 Frederik Himpe <fhimpe@mandriva.org> 1.1.9-1mdv2009.1
+ Revision: 298638
- update to new version 1.1.9

* Mon Jul 07 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.8-2mdv2009.0
+ Revision: 232358
- rebuilt against new libcap

* Wed May 28 2008 Frederik Himpe <fhimpe@mandriva.org> 1.1.8-1mdv2009.0
+ Revision: 212716
- New version 1.1.8

* Tue Mar 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.7.1-1mdv2008.1
+ Revision: 188670
- new version
- use cmake macro
- add missing buildrequires
- spec file clean

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.1.6-5mdv2008.1
+ Revision: 136290
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 14 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.6-5mdv2008.0
+ Revision: 85389
+ rebuild (emptylog)

* Fri Sep 14 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.6-4mdv2008.0
+ Revision: 85387
- Fix manpages extensions (BUG #32914)

* Thu Sep 13 2007 Adam Williamson <awilliamson@mandriva.org> 1.1.6-3mdv2008.0
+ Revision: 85320
- don't package COPYING
- don't hardcode .bz2 extension for man pages, use %%_extension
- Fedora license policy

* Thu Aug 16 2007 Michael Scherer <misc@mandriva.org> 1.1.6-2mdv2008.0
+ Revision: 64420
- fix compilation, use lzma for manpages

  + Thierry Vignaud <tv@mandriva.org>
    - fix interpreter in doc example

* Thu May 10 2007 Sebastian Trueg <strueg@mandriva.com> 1.1.6-1mdv2008.0
+ Revision: 25903
- Version bump to cdrkit 1.1.6

* Mon Apr 23 2007 Sebastian Trueg <strueg@mandriva.com> 1.1.5.1-1mdv2008.0
+ Revision: 17521
- version bump to 1.1.5.1


* Tue Mar 20 2007 Sebastian Trueg <strueg@mandriva.com> 1.1.2-4mdv2007.1
+ Revision: 146867
- Added alternatives, i.e. symlinks to simulate readcd, mkhybrid, and cdda2wav

* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.1.2-3mdv2007.1
+ Revision: 146560
- do not package big useless doc

* Fri Mar 09 2007 Pixel <pixel@mandriva.com> 1.1.2-2mdv2007.1
+ Revision: 138734
- enable cdrecord and mkisofs alternatives
  (and fix a typo in manpage alternatives)
- fix summary and description (rpmlint compliance)
- add Requires(pre) on groupadd & rpm-helper for genisoimage

* Wed Feb 14 2007 Sebastian Trueg <strueg@mandriva.com> 1.1.2-1mdv2007.1
+ Revision: 121106
- Version bump to 1.1.2

  + Warly <warly@mandriva.com>
    - update obsoletes tag to 3mdv to be sure the cooker packages get obsoleted

* Mon Jan 08 2007 Warly <warly@mandriva.com> 1.1.1-2mdv2007.1
+ Revision: 106048
- adjust obsoleted version

* Thu Jan 04 2007 Warly <warly@mandriva.com> 1.1.1-1mdv2007.1
+ Revision: 104238
- zlib-devel is needed as buildrequire
- cmake is needed as buildrequire
- cdrkit replaces and obsoletes cdrecord, for now the
  command will not have alternatives or symlinks, to help fixing
  related front-end. We may need to add these compatibility links closer to
  2007.1
- icedax and other subpackages also use cdwriter group
- Import cdrkit

